Package Details: thunderbird-extension-enigmail-git 1.9.r1099.g30acb5d5-1

Git Clone URL: https://aur.archlinux.org/thunderbird-extension-enigmail-git.git (read-only)
Package Base: thunderbird-extension-enigmail-git
Description: OpenPGP message encryption and authentication for Thunderbird (development version)
Upstream URL: https://www.enigmail.net/
Licenses: GPL3, MPL
Conflicts: thunderbird-enigmail, thunderbird-extension-enigmail
Provides: thunderbird-enigmail, thunderbird-extension-enigmail
Submitter: respiranto
Maintainer: respiranto
Last Packager: respiranto
Votes: 3
Popularity: 0.053452
First Submitted: 2018-12-25 22:03
Last Updated: 2019-01-07 22:18

Pinned Comments

respiranto commented on 2017-10-22 15:30

This package (as of ver 1.9.r432.gfa5c103b) does apparently not work with the current icedove (52.4.01). Most likely not with thunderbird 52.4.01 either.

Using the respective development version hopefully fixes the issues.

Latest Comments

yan12125 commented on 2019-01-08 08:00

Thank you for the fix and the reminder! I did get an error when upgrading to the actual latest commit :)

respiranto commented on 2019-01-07 22:22

Done.

Note that the old local git repository $SRCDEST/enigmail-git will have to be removed, provided it still exists, or its git configuration changed.

yan12125 commented on 2019-01-06 19:47

Hi could you change the git source to the gitlab repo[1]? The sourceforge repo[2] is no longer updated since a week ago.

[1] https://gitlab.com/enigmail/enigmail/commits/master [2] https://sourceforge.net/p/enigmail/source/ci/9da0dd1b5c11bf047627a93448b68348e8f7746c/log/?path=

respiranto commented on 2018-12-25 22:09

Thanks for the notification!

Fortunately, the contents of the .xpi archive are separately available, so there is no need for extraction. This was presumably not always the case.

And yes, due to icedove having disappeared from the AUR, this package will be merged into thunderbird-extension-enigmail-git [0] (following the naming of the enigmail package in [community]).

[0] https://aur.archlinux.org/packages/thunderbird-extension-enigmail-git/

yan12125 commented on 2018-12-25 16:06

There are quite a few errors like this from namcap

thunderbird-enigmail-git E: File (usr/lib/thunderbird/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/chrome/locale/hr/help/editRcptRule.html) is owned by builduser:builduser

It appears to be a real issue. Those files should be owned by root:root, which can be achieved by changing bsdtar -xf to bsdtar --no-same-owner -xf.

By the way, as icedove has disappeared from AUR, do you consider keeping the thunderbird variant only?

respiranto commented on 2017-10-22 15:30

This package (as of ver 1.9.r432.gfa5c103b) does apparently not work with the current icedove (52.4.01). Most likely not with thunderbird 52.4.01 either.

Using the respective development version hopefully fixes the issues.

DDoSolitary commented on 2017-10-22 15:29

Thank you very much. Can't wait to build it!

respiranto commented on 2017-10-22 15:26

Dependencies are now split as well, if applicable.

Therefore the split ones will unfortunately not be visible here.

DDoSolitary commented on 2017-10-22 15:20

The package "thunderbird-enigmail-git" has a dependency of "icedove". Could you please fix it?